{# @var \Application\Web\Views\AddChallenger data #}
{% extends 'base.html.twig' %}

{% block body %}
    {{ include('partials/header.html.twig') }}
    <div class="container mx-auto bg-white mt-24 md:mt-18">
        {{ form_start(data.form, {
            'attr': {
                'class': 'space-y-8 divide-y divide-gray-200'
            }
        }) }}
        {{ form_errors(data.form) }}

        <div class="space-y-8 sm:space-y-5">
            <div>
                <div>
                    <h3 class="text-lg leading-6 font-medium text-gray-900">
                        Challenger
                    </h3>
                    <p class="mt-1 max-w-2xl text-sm text-gray-500">
                        Ajouter un challenger et son rang à une partie de tetris.
                    </p>
                </div>
            </div>
            <div class="pt-8 space-y-6 sm:pt-10 sm:space-y-5">
                <div class="space-y-6 sm:space-y-5">
                    <div class="sm:grid sm:grid-cols-3 sm:gap-4 sm:items-start sm:border-t sm:border-gray-200 sm:pt-5">
                        {{ form_label(data.form.tetrisGameId, null, {
                            'label_attr': {
                                'class': 'block text-sm font-medium text-gray-700 sm:mt-px sm:pt-2',
                            }
                        }) }}
                        <div class="mt-1 sm:mt-0 sm:col-span-2">
                            {{ form_widget(data.form.tetrisGameId, {
                                'attr': {
                                    'class': 'max-w-lg block focus:ring-indigo-500 focus:border-indigo-500 w-full shadow-sm sm:max-w-xs sm:text-sm border-gray-300 rounded-md',
                                }
                            }) }}
                        </div>
                    </div>

                    <div class="sm:grid sm:grid-cols-3 sm:gap-4 sm:items-start sm:border-t sm:border-gray-200 sm:pt-5">
                        {{ form_label(data.form.personId, null, {
                            'label_attr': {
                                'class': 'block text-sm font-medium text-gray-700 sm:mt-px sm:pt-2',
                            }
                        }) }}
                        <div class="mt-1 sm:mt-0 sm:col-span-2">
                            {{ form_widget(data.form.personId, {
                                'attr': {
                                    'class': 'max-w-lg block focus:ring-indigo-500 focus:border-indigo-500 w-full shadow-sm sm:max-w-xs sm:text-sm border-gray-300 rounded-md',
                                }
                            }) }}
                        </div>
                    </div>

                    <div class="sm:grid sm:grid-cols-3 sm:gap-4 sm:items-start sm:border-t sm:border-gray-200 sm:pt-5">
                        {{ form_label(data.form.rank, null, {
                            'label_attr': {
                                'class': 'block text-sm font-medium text-gray-700 sm:mt-px sm:pt-2',
                            }
                        }) }}
                        <div class="mt-1 sm:mt-0 sm:col-span-2">
                            {{ form_widget(data.form.rank, {
                                'attr': {
                                    'class': 'max-w-lg block w-full shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:max-w-xs sm:text-sm border-gray-300 rounded-md',
                                }
                            }) }}
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="pt-5">
            <div class="flex justify-end">
                <button type="submit" class="ml-3 inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                    Save
                </button>
            </div>
        </div>
        {{ form_rest(data.form) }}
        {{ form_end(data.form) }}
    </div>
{% endblock %}
